"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReactComponent = ReactComponent;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = require("@testing-library/react");

var _react2 = _interopRequireWildcard(require("react"));

var _TestContext = require("./TestContext");

var _dom = require("@testing-library/dom");

var _ref2 =
/*#__PURE__*/
_react2["default"].createElement(_react2["default"].Fragment, null);

function ReactComponent(props) {
  var preview = (0, _react2.useRef)();

  var _useState = (0, _react2.useState)(),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      inner = _useState2[0],
      setInner = _useState2[1];

  var _useState3 = (0, _react2.useState)(''),
      _useState4 = (0, _slicedToArray2["default"])(_useState3, 2),
      error = _useState4[0],
      setError = _useState4[1];

  var _useContext = (0, _react2.useContext)(_TestContext.TestContext),
      active = _useContext.active,
      push = _useContext.push;

  if (active) {
    push(
    /*#__PURE__*/
    (0, _asyncToGenerator2["default"])(
    /*#__PURE__*/
    _regenerator["default"].mark(function _callee() {
      var rendered;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return (0, _react.cleanup)();

            case 2:
              rendered = (0, _react.render)(props.render);
              _context.t0 = require('react-dom/server');
              _context.next = 6;
              return props.children(rendered, _react.fireEvent);

            case 6:
              _context.t1 = _context.sent;
              return _context.abrupt("return", _context.t0.renderToStaticMarkup.call(_context.t0, _context.t1));

            case 8:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    })));
  }

  (0, _react2.useEffect)(function () {
    if (!active) {
      setError('');

      var _result = props.children((0, _dom.getQueriesForElement)(preview.current), _react.fireEvent);

      Promise.resolve(_result).then(function (r) {
        return setInner(r);
      })["catch"](function (err) {
        return setError(err);
      });
    }
  }, [active, props]);

  if (active) {
    return _ref2;
  }

  if (error) {
    return _react2["default"].createElement("div", null, error.message);
  }

  return _react2["default"].createElement("div", null, _react2["default"].createElement("div", {
    style: {
      padding: 10,
      background: '#eee',
      margin: '10px 0',
      borderRadius: 3
    },
    ref: preview
  }, props.render), inner);
}